Name:           ffgtk
Version:        0.8.5
Release:        1%{?dist}
Summary:        A solution for controlling Fritz!Box or compatible routers
Group:          Applications/Communications
License:        GPLv2
URL:            http://www.tabos.org/ffgtk/
Source0:        http://www.tabos.org/ffgtk/download/%{name}-%{version}.tar.gz
Source1:        ffgtk-README.Fedora
Patch1:         ffgtk-0.8.3-use-old-spooler.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext autoconf automake libtool intltool desktop-file-utils
BuildRequires:  gtk3-devel libcurl-devel dbus-devel dbus-glib-devel 
Buildrequires:  isdn4k-utils-devel spandsp-devel evolution-data-server-devel
Buildrequires:  evolution-devel
Buildrequires:  libgnome-keyring-devel speex-devel libnotify-devel libsndfile-devel
Buildrequires:  pulseaudio-libs-devel glib2-devel libgdata-devel

# We no longer use the bundled md5, but use the glib implementation
# Provides:       bundled(md5-deutsch)
ExcludeArch:    s390 s390x
Requires(post): /usr/sbin/lpadmin
Requires(postun):/usr/sbin/lpadmin
# The gstreamer plugin is dropped, the capifax functionality is included in the main package now
Obsoletes:      ffgtk-plugin-gstreamer < 0.8.3-1
Obsoletes:      ffgtk-plugin-capifax < 0.8.3-1

%description
Fritz Fun (ffgtk) is a clean solution for controlling the FRITZ!Box or 
compatible router with Linux. It offers a rich feature list, including caller
monitor and fax support. It offers integration with the KDE, evolution and 
Thurderbird address books.
Some plug-ins are packaged separately.

%package plugin-evolution
Summary:        Evolution address book plugin for ffgtk
Requires:       %{name} = %{version}-%{release}

%description plugin-evolution
This package contains the evolution address book plugin for ffgtk.

%package plugin-google-addressbook
Summary:        Google addressbook plugin for ffgtk (BETA)
Requires:       %{name} = %{version}-%{release}

%description  plugin-google-addressbook
This package contains the addressbook plugin to access your Google contacts.
This plugin has beta quality

%prep
%setup -q
%patch1 -p0 -b .use-old-spooler
install -m644 %{SOURCE1} ./README.Fedora

%build
./autogen.sh
%configure -with-portaudio=no --disable-Werror
make %{?_smp_mflags} 

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"

# remove ubunto icons
rm -rf %{buildroot}/%{_datarootdir}/icons/ubuntu*

# Install ppd file for cups

mkdir -p %{buildroot}/%{_datarootdir}/cups/model/
mv  %{buildroot}/%{_datarootdir}/ffgtk/ffgtk-fax.ppd  %{buildroot}/%{_datarootdir}/cups/model/

# ffgtk-cups is of no use as we use the old spooler
rm %{buildroot}/%{_datarootdir}/ffgtk/ffgtk-cups

# and so is install-fax
rm %{buildroot}/%{_datarootdir}/ffgtk/install-fax.sh


%find_lang %{name}
desktop-file-validate %{buildroot}/%{_datarootdir}/applications/ffgtk.desktop

# remove non desirable development libraries

find %{buildroot} -name '*.la' -exec rm -f {} ';'

%post
# On first install : create the printer if cupsd is running
if [ "$1" -eq "1" -a -S "%{_var}/run/cups/cups.sock" ]; then
    /usr/sbin/lpadmin -p ffgtk-fax -v socket://localhost:9901 -m ffgtk-fax.ppd -E || :
fi


%postun
# on removal, remove the printer if cupsd is running
if [ "$1" -eq "0" -a -S "%{_var}/run/cups/cups.sock" ]; then
    # Delete the printer
    /usr/sbin/lpadmin -x ffgtk-fax || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/ffgtk
%dir %{_datarootdir}/ffgtk
%dir %{_datarootdir}/ffgtk/areacodes_germany.csv
%dir %{_libdir}/ffgtk
%dir %{_libdir}/ffgtk/plugins
%{_libdir}/ffgtk/plugins/lib_ab_fritzfon.so
%{_libdir}/ffgtk/plugins/lib_ab_fritzfon_v1.so
%{_libdir}/ffgtk/plugins/lib_ab_speedfon.so
%{_libdir}/ffgtk/plugins/lib_ab_local.so
%{_libdir}/ffgtk/plugins/lib_ab_thunderbird.so
%{_libdir}/ffgtk/plugins/lib_ab_vcard.so
%{_libdir}/ffgtk/plugins/lib_pwd_gnome.so
%{_libdir}/ffgtk/plugins/lib_audio_pulse.so
%{_datarootdir}/applications/ffgtk.desktop
%{_datarootdir}/ffgtk/actions.ui
%{_datarootdir}/ffgtk/addaddress.ui
%{_datarootdir}/ffgtk/assistant.ui
%{_datarootdir}/ffgtk/book.ui
%{_datarootdir}/ffgtk/dtmf.ui
%{_datarootdir}/ffgtk/call_in.wav
%{_datarootdir}/ffgtk/call_out.wav
%{_datarootdir}/ffgtk/callin.png
%{_datarootdir}/ffgtk/callinfailed.png
%{_datarootdir}/ffgtk/callmonitor.ui
%{_datarootdir}/ffgtk/callout.png
%{_datarootdir}/ffgtk/dialing.ui
%{_datarootdir}/ffgtk/dialwindow.ui
%{_datarootdir}/ffgtk/kind.ui
%{_datarootdir}/ffgtk/lookup.xml
%{_datarootdir}/ffgtk/menubar.ui
%{_datarootdir}/ffgtk/popup.ui
%{_datarootdir}/ffgtk/preferences.ui
%{_datarootdir}/ffgtk/profiles.ui
%{_datarootdir}/ffgtk/sendsms.ui
%{_datarootdir}/ffgtk/sendfax.ui
%{_datarootdir}/ffgtk/voicebox.ui
%{_datarootdir}/ffgtk/notification-message-ffgtk-in.svg
%{_datarootdir}/ffgtk/notification-message-ffgtk-out.svg
%{_datarootdir}/icons/hicolor/scalable/apps/ffgtk.svg
%{_datarootdir}/ffgtk/ffgtk.png
%{_datarootdir}/pixmaps/ffgtk.png
%{_mandir}/man1/ffgtk.1.gz
%{_datarootdir}/cups/model/ffgtk-fax.ppd
%doc README AUTHORS ChangeLog COPYING README.Fedora 

%files plugin-evolution 
%defattr(-,root,root,-)
%{_libdir}/ffgtk/plugins/lib_ab_ebook.so

%files plugin-google-addressbook
%defattr(-,root,root,-)
%{_libdir}/ffgtk/plugins/lib_ab_google.so

%changelog
* Mon Feb 04 2013 Louis Lagendijk <louis.lagendijk@gmail.com> 0.8.5-1
- New upstream release
- Add support for  FRITZ!OS 05.50

* Wed Jan 16 2013 Milan Crha <mcrha@redhat.com> - 0.8.4-3
- Rebuild for new evolution-data-server
- Add patch to replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS

* Fri Dec 21 2012 Louis Lagendijk <louis.lagendijk@gmail.com> 0.8.4-2
  Rebuild for new libemiscwidgets, libedataserverui libcamel

* Mon Nov 26 2012 Louis Lagendijk <louis.lagendijk@gmail.com> 0.8.4-1
  New upstream release
  Improved Google address book support
  Improved fax transfer protocol layout based on user input
  Update evolution plugin to support newer version
  Finer error message on fax transfer problems
  Fix fritzfon contact picture loading from external storage
  Fix address book export to router


* Tue Nov 20 2012 Milan Crha <mcrha@redhat.com> - 0.8.3-6
- Rebuild for new evolution-data-server

* Thu Oct 25 2012 Milan Crha <mcrha@redhat.com> - 0.8.3-5
- Rebuild for new evolution-data-server

* Tue Aug 21 2012 Adam Williamson <awilliam@redhat.com> - 0.8.3-4
- rebuild for new evolution-data-server

* Tue Jul 31 2012  Louis Lagendijk <louis.lagendijk@gmail.com> 0.8.3-3
- Add patch for new evolution dataserver interface
- Fix BZ 844149:  Faxing via logical ffgtk-fax printer broken in ffgtk-0.8.3 package

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-2.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 10 2012  Louis Lagendijk <louis.lagendijk@gmail.com> 0.8.3-1.1
  temporarily disable plugin-evolution due to evolution-dataserver interface changes

* Tue Jul 10 2012  Louis Lagendijk <louis.lagendijk@gmail.com> 0.8.3-1
- New upstream release 0.8.3
- Add FRITZ!Box 6360 Cable support
- Add write support to speedfon ab
- Add spandsp fax transmission workaround
- Re-enable support for libnotify and gnome shell
- Performance tuning
- Fix crash on startup without profile
- Fix non-fritzbox router detection
- Fix re-connect issues
- Fix softphone record on 32bit machines
- Reduce busy wait in audio_port
- Obsoleted gstreamer audio plugin (removed)
- Obsoleted the plugin-capifax package
- Switched to gtk-3
- Disabled evolution address book for now as it does not compile

* Sat Jun 23 2012 Louis Lagendijk <louis.lagendijk@gmail.com> 0.8.2-1
- New upstream release 0.8.2:
- Improved portaudio playback/recording (Linux, OS X, Windows)
- Add google contacts ab plugin (ffgtk-plugin-google-addressbook)
- Tray icon rewrite (standard tray icon, appindicator, dock bar)
- Use 2-D compression for analog and G4 for isdn transfer
- Improve fritzfon ab plugin (do not remove unknown data, better contact photo handling)
- Fix fax bitrate selection
- Stop ringtone on connect
- UI cleanup

* Thu Jan 26 2012 Louis Lagendijk <louis.lagendijk@gmail.com> 0.8.1-1
- New upstream release 0.8.1, lots of bugfixes
- Fixed printer creation for cups with a systemd unit file (BZ#768640)A
- glib patches were incomplete. Compile using new --disable-Werror flag
  for configure 

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.94-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 28 2011 Milan Crha <mcrha@redhat.com> 0.7.94-10
- Rebuild against newer evolution-data-server

* Fri Nov 04 2011 Milan Crha <mcrha@redhat.com> 0.7.94-9
- Adapt to GThread API changes

* Sun Oct 30 2011 Bruno Wolff III <bruno@wolff.to> - 0.7.94-9
- Rebuild against newer evolution-data-server

* Thu Sep 15 2011 Louis Lagendijk <louis.lagendijk@gmail.com> 0.7.94-8
- removed clean section from spec-file
- remove ubuntu icons & directories(fixes BZ 733934)

* Tue Aug 30 2011 Milan Crha <mcrha@redhat.com> 0.7.94-7
- Rebuild against newer evolution-data-server

* Tue Aug 30 2011 Milan Crha <mcrha@redhat.com> 0.7.94-6
- Rebuild against newer evolution-data-server

* Thu Aug 04 2011 Louis Lagendijk <louis.lagendijk@gmail.com> 0.7.94-5
- Rebuilt for another libcamel so bump

* Fri Jul 15 2011 Dan Horák <dan[at]danny.cz> 0.7.94-4
- don't build on s390(x)

* Tue Jul 05 2011 Louis Lagendijk <louis.lagendijk@gmail.com> 0.7.94-3
- rebuilt for libcamel so version bump

* Mon Jun 13 2011  Louis Lagendijk <louis.lagendijk@gmail.com> 0.7.94-2
- new upstream release
- Voxbox support removes the need for libcapifax
- Fax  printing support moved to main package (capifax plugin will be
  removed in a later release
- removed -Werror patch as it is no longer required
- removed libexec patch as there is no longer an external command

* Mon May 16 2011 Louis Lagendijk <louis.lagendijk@gmail.com> 0.7.8-5
- Rebuilt for new evolution-dataserver

* Thu Feb 10 2011 Louis Lagendijk <louis.lagendijk@gmail.com> 0.7.8-4
- Remove -Werror from Makefile,am for now as it breaks compilation under RwaHide
  as -Wunused-but-set-parameter seems to be standard now

* Fri Jan 28 2011 Louis Lagendijk <louis.lagendijk@gmail.com> 0.7.8-3
- Added scriptlet dependencies
- Removed duplicate documentation from plugin packages
- Added Provides for bundled MD5 implementation
- Check if cups is running before trying to remove the printer

* Fri Dec 24 2010 Louis Lagendijk <louis.lagendijk@gmail.com> 0.7.8-2
- Re-instated old print-spooler
- Added a ppd for the fax printer
- Automatically create/delete the required printer in cups
- Added REAME.Fedora

* Sat Nov 27 2010 Louis Lagendijk <louis.lagendijk@gmail.com> 0.7.8-1
- New upstream release

* Thu Jul 29 2010 Louis Lagendijk <louis.lagendijk@gmail.com> 0.7.7-1
- New upstream release 0.7.7
- new plugins
- removed Fedora 13 patches: upstreamed

* Sat May 29 2010 Louis Lagendijk <louis.lagendijk@gmail.com> 0.7.6-2
- fixed DSO linking on Fedora 13
- Fixed crash on Fedora 13
- Added includes required for Fedora 13

* Thu May 20 2010 Louis Lagendijk <louis.lagendijk@gmail.com> 0.7.6-1
- Update to version 0.7.6
* Thu May 20 2010 Louis Lagendijk <louis.lagendijk@gmail.com> 0.7.5-2
- Minor edits to specfile to correct layout
* Mon Apr 19 2010 Louis Lagendijk <louis.lagendijk@gmail.com> 0.7.5-1
- Initial version

